/** @file   Test file input/output functions
    @author Juan Gomez Romero
    @date   2012-2013
*/

#include <stdio.h>
#include "structures.h"
#include "ibuy_io.h"

int main(void) {
	int nUsers, nItems;
	struct User users[MAX_USERS];
	struct Item items[MAX_ITEMS];
	
	readUsersFromFile("users.txt", users, &nUsers);   // read data from user file
	readItemsFromFile("items.txt", items, &nItems);   // read data from item file
	
	writeUsersToFile("users_copy.txt", users, nUsers);   // write data to user file
	writeItemsToFile("items_copy.txt", items, nItems);   // write data to items file
   
   return 0;
}
